Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IDelaunay

    java.lang.Object
      igeo.IDelaunay

    public class IDelaunay

extends java.lang.Object

Class to calculate Delaunay triangulation out of 3D points.

Author:
  Satoru Sugihara

Field Summary
`static double` | `maxDistToCheck`

Constructor Summary
`IDelaunay()`

Method Summary
`static IVec` | `circumsphereCenter(IVec pt1, IVec pt2, IVec pt3, IVec pt4)`
`static IVec[][]` | `getTetrahedron(IVec[] pts)` Getting delaunay tetrahedron cells out of array of 3D points
`static boolean` | `isInsideCircumsphere(IVec pt, IVec tetraPt1, IVec tetraPt2, IVec tetraPt3, IVec tetraPt4)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxDistToCheck

    public static double maxDistToCheck

Constructor Detail

### IDelaunay

    public IDelaunay()

Method Detail

### getTetrahedron

    public static IVec[][] getTetrahedron(IVec[] pts)

  Getting delaunay tetrahedron cells out of array of 3D points

  Returns:
    array of tetrahedron, which consist of array of 4 points of IVec

### circumsphereCenter

    public static IVec circumsphereCenter(IVec pt1,
                                          IVec pt2,
                                          IVec pt3,
                                          IVec pt4)

### isInsideCircumsphere

    public static boolean isInsideCircumsphere(IVec pt,
                                               IVec tetraPt1,
                                               IVec tetraPt2,
                                               IVec tetraPt3,
                                               IVec tetraPt4)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD